Bug Hunting Session
Bug 91074 - FILEOPEN:RTF FILE OPEN ERROR
Summary: FILEOPEN:RTF FILE OPEN ERROR
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0 all versions
Hardware: All All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.0.0 target:4.4.5
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2015-05-04 09:59 UTC by Burak Ural
Modified: 2015-12-17 06:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file produced by EK RTF attached. (25.60 KB, application/rtf)
2015-05-04 09:59 UTC, Burak Ural
Details
Error dialog box in winxp 32/ win7-64 version 4.4.2.2 release (15.02 KB, image/jpeg)
2015-05-04 11:00 UTC, Burak Ural
Details
Libreoffice 3.3.0 does not recognize RTF (364.69 KB, image/jpeg)
2015-05-04 15:44 UTC, Burak Ural
Details
Libreoffice 3.6.7.1 does not recognize RTF (323.55 KB, image/jpeg)
2015-05-04 15:45 UTC, Burak Ural
Details
RTF that opens and seems to look right (39.63 KB, application/pdf)
2015-05-06 06:24 UTC, Joel Madero
Details
Macro code for converting letters to Turkish (1.73 KB, text/plain)
2015-05-06 08:42 UTC, Burak Ural
Details
Correct code; converting character set to Turkish letters. (1.74 KB, text/plain)
2015-05-06 09:11 UTC, Burak Ural
Details
Correct code; converting character set to Turkish letters. (1.75 KB, text/plain)
2015-05-06 09:12 UTC, Burak Ural
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Burak Ural 2015-05-04 09:59:04 UTC
Created attachment 115305 [details]
Test file produced by EK RTF attached.

We are using a CRM file using EK RTF and causing general file i/o error on dialog box while trying to open the file.

We need this solved, please find attached a simple test file.

Please solve this problem.

Thank you.
Comment 1 raal 2015-05-04 10:49:50 UTC
I can confirm with LO 4.4.2, win7. I can open file with word.
Comment 2 Burak Ural 2015-05-04 11:00:59 UTC
Created attachment 115307 [details]
Error dialog box in winxp 32/ win7-64 version 4.4.2.2 release
Comment 3 raal 2015-05-04 11:37:41 UTC
Please try with older version if it's a regression: https://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 4 Burak Ural 2015-05-04 13:08:32 UTC
Could you advise any version number ?

There are so many to test with...

Best Regards,
Burak
Comment 5 raal 2015-05-04 13:30:07 UTC
(In reply to Burak Ural from comment #4)
> Could you advise any version number ?
> 
> There are so many to test with...
> 
> Best Regards,
> Burak

Try oldest. If bug occurs in oldest version, then "Version=Inherited from OOo" and this problem is not regression. If bug doesn't occurs in this oldest version, then this bug is regression. If you find the regression, then you can speed up solving the bug by bibisecting ( https://wiki.documentfoundation.org/QA/HowToBibisect ).
More information you can find here: https://wiki.documentfoundation.org/QA  , feel free to ask at  the QA/IRC channel http://webchat.freenode.net/?channels=libreoffice-qa
Comment 6 Burak Ural 2015-05-04 15:44:59 UTC
Created attachment 115315 [details]
Libreoffice 3.3.0 does not recognize RTF
Comment 7 Burak Ural 2015-05-04 15:45:34 UTC
Created attachment 115316 [details]
Libreoffice 3.6.7.1 does not recognize RTF
Comment 8 Burak Ural 2015-05-04 15:48:34 UTC
Added 2 attachments of tests with older version 3.3.0 and 3.6.7.1 both of them open file without any error dialog box , however they threat the file as a native text file.
The RTF format is not being recognized.

Since LO Version 4.4.0.0 , general i/o error dialog box is being displayed.

RTF format needs to be recognized, so file can be opened correctly.
Additional info: Office 2003 can open it correctly with graphics displayed.
Wordpad opens the file without graphic displayed.
Comment 9 Burak Ural 2015-05-04 15:51:00 UTC
In reply to comment#1

Have you really opened the Test file attachment? Did you see graphics and text correctly?

Why I can not open it?
Comment 10 Burak Ural 2015-05-04 16:22:32 UTC
OK thanks.
Comment 11 Joel Madero 2015-05-06 06:23:39 UTC
Whoa - didn't think that this one was ever working but I found that for a very short period of time it did. This is thus a regression.


@Burak - if you're using LibreOffice in a professional environment I highly recommend getting paid support. Else you'll have to wait until someone chooses to fix this (might be fast, might take months)

bc687bf6bc5604c51680e798536ccbf35fa0c6b8 is the first bad commit
commit bc687bf6bc5604c51680e798536ccbf35fa0c6b8
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 00:03:49 2012 +0000

    source-hash-1692cf6854ff7adbb2bd47f2f7ec2b3de51864f3
    
    commit 1692cf6854ff7adbb2bd47f2f7ec2b3de51864f3
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Sat Oct 27 16:50:37 2012 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Sat Oct 27 20:16:51 2012 +0100
    
        drop unnecessary usings
    
        Change-Id: I65b7c81a45925894ef78f141219fd00652ad5c1d

:100644 100644 6472c84c882da95b0efce6abb6f22ada8cbc650e 00f767a0b986e96e8b9f19c999d03a5ac4e44b8d M	ccache.log
:100644 100644 0c218954a7d6d690e76b671fc666a21001821d51 48d30a62e5b1dfc2329507412ef49b07a3051fb6 M	commitmsg
:100644 100644 7e7c9fd328d3cec865d8fa5342caaf44d193f9f8 54f9e1f393211af775093e98cf73f9e4148acede M	dev-install.log
:100644 100644 99e9024e01746ce12aeea90bf311b7b27f0432b1 899d636a463e69df872bc4010e2df4f16b284611 M	make.log
:040000 040000 514acc838a195555a0402d6947011628b8a7bd8a 422b4adc652e4c0e578682b53de32a05f9d4d869 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [51b63dca7427db64929ae1885d7cf1cc7eb0ba28] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect bad 51b63dca7427db64929ae1885d7cf1cc7eb0ba28
# good: [446a69834acf747d9d18841ec583512ae8fa42e7] source-hash-06a8ca9339f02fccf6961c0de77c49673823b35f
git bisect good 446a69834acf747d9d18841ec583512ae8fa42e7
# good: [2f701cd5a012710b5a360239b7078ca3b23206ab] source-hash-e9960f36675a025c0536dec30ae56c50f4adecb1
git bisect good 2f701cd5a012710b5a360239b7078ca3b23206ab
# good: [9342aecf0416e372c1d2f307d49c715ec726c6bd] source-hash-b0da54bec69f4931af0adbc15d230d3f4eea7b08
git bisect good 9342aecf0416e372c1d2f307d49c715ec726c6bd
# good: [1e4f8bf8304c7ecaaf68f2d16f09ef2f97d10af7] source-hash-fe347327a44f2d8ed201f9fbc2ae4858f34962d8
git bisect good 1e4f8bf8304c7ecaaf68f2d16f09ef2f97d10af7
# bad: [d3bd29a09db468f81d33acb14551b385b3615472] source-hash-7799ceab2639f1e3bcd35c6cf7e7b064bb1b6e9a
git bisect bad d3bd29a09db468f81d33acb14551b385b3615472
# bad: [bc687bf6bc5604c51680e798536ccbf35fa0c6b8] source-hash-1692cf6854ff7adbb2bd47f2f7ec2b3de51864f3
git bisect bad bc687bf6bc5604c51680e798536ccbf35fa0c6b8
Comment 12 Joel Madero 2015-05-06 06:24:02 UTC
Created attachment 115377 [details]
RTF that opens and seems to look right
Comment 13 Burak Ural 2015-05-06 08:24:17 UTC
Other then the image and Turkish characters , yes it opens.

Could you the character problem also, it would be great.

I do not know any paid service for Libreoffice.
If there is how they work? Do they release different versions?
Are they integrated here also?

Thanks for finding the problem.
Comment 14 Burak Ural 2015-05-06 08:42:30 UTC
Created attachment 115379 [details]
Macro code for converting letters to Turkish
Comment 15 Burak Ural 2015-05-06 08:48:54 UTC
Comment on attachment 115379 [details]
Macro code for converting letters to Turkish

IGNORE THIS, CODE IS WRONG, I WILL UPDATE IT .
Comment 16 Burak Ural 2015-05-06 09:09:51 UTC
In the old days of ooo 1.0, when there was no unicode , I had to convert letters to the correct Turkish character sets.
I uploaded an attachment "turkish.txt" it has code that converts the letters in a document to the correct ones. (Ignore the first one I uploaded)
You might want to use it to test if the rtf file being opened correctly or not.
You can also test it with MS Office as well.

Thanks,
Burak
Comment 17 Burak Ural 2015-05-06 09:11:11 UTC
Created attachment 115381 [details]
Correct code; converting character set to Turkish letters.
Comment 18 Burak Ural 2015-05-06 09:12:37 UTC
Created attachment 115382 [details]
Correct code; converting character set to Turkish letters.
Comment 19 Joel Madero 2015-05-06 13:50:02 UTC
Please do not report multiple problems in one bug report - the turkish letter issue is a separate problem and should be reported separately.

For paid services - it depends on the setup you have with the company/individual. All patches made are upstreamed so the entire community benefits but you get to dictate what is fixed and when as you are paying for the services. For more information please check out: https://www.documentfoundation.org/certification/developers/
Comment 20 Commit Notification 2015-05-11 10:18:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec1a96e79e3e6225706151cb72eb3df763b0598d

tdf#91074 RTF import: handle \dplineco* for text frames

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2015-05-28 09:28:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe898641dd7f8ff3cc74804f01340fdade3e5ed7&h=libreoffice-4-4

tdf#91074 RTF import: handle \dplineco* for text frames

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Robinson Tryon (qubit) 2015-12-17 06:34:31 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf, bibisected)
[NinjaEdit]